Get Asset

Get details about an asset

Required scope | assets:read

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

asset_idstringRequiredformat: "objectid"
Unique identifier for an Asset on a site

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for this asset
contentTypestringRead-onlyformat: "mime-type"
File format type
sizeintegerRead-only
size in bytes
siteIdstringRead-onlyformat: "objectid"
Unique identifier for the site that hosts this asset
hostedUrlstringRead-onlyformat: "uri"
Link to the asset
originalFileNamestringRead-only
Original file name at the time of upload
displayNamestring
Display name of the asset
lastUpdatedstringRead-onlyformat: "date-time"
Date the asset metadata was last updated
createdOnstringRead-onlyformat: "date-time"
Date the asset metadata was created
variantslist of objects

A list of asset variants created by Webflow to serve your site responsively.

altTextstring or null
The visual description of the asset

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error